Bug 723696 - Blocked USB scanner port following boot-up
Blocked USB scanner port following boot-up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression
: 722255 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-20 16:01 EDT by Bob Schultz
Modified: 2013-02-13 20:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Schultz 2011-07-20 16:01:18 EDT
Description of problem:
USB scanner port is blocked following boot-up, claimed by usbfs.

This is a continuation of problem troubleshooting I first reported in https://bugzilla.redhat.com/show_bug.cgi?id=722255. Refer to that for additional background.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Boot up
2.run say "scanimage -L"
3.
  
Actual results:
Scanner not found.
In dmesg:

usb 2-5	usbfs: interface 0 claimed by usbfs while 'scanimage' sets config #1

Expected results:
SANE internal usb open routine works normally.

Additional info:


Further testing identified the cause of SANE failure being due to a kernel driver claim to the usb scanner port following boot-up.

The following dmesg entry shows usbfs is claiming the interface, which it should not be (it blocks access by SANE):

07/19/11 08:39:49 PM	usb 2-5	usbfs: interface 0 claimed by usbfs while 'scanimage' sets config #1

The following is the relevant lshal output for the scanner:

udi = '/org/freedesktop/Hal/devices/usb_device_3f0_1705_noserial'
  info.bus = 'usb_device'  (string)
  info.linux.driver = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_2_0000_00_1d_7'  (string)
  info.product = 'ScanJet 5590'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_3f0_1705_noserial'  (string)
  info.vendor = 'Hewlett-Packard'  (string)
  linux.device_file = '/dev/bus/usb/002/002'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5'  (string)
  usb_device.bus_number = 2  (0x2)  (int)
  usb_device.can_wake_up = false  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 255  (0xff)  (int)
  usb_device.device_protocol = 255  (0xff)  (int)
  usb_device.device_revision_bcd = 773  (0x305)  (int)
  usb_device.device_subclass = 255  (0xff)  (int)
  usb_device.is_self_powered = true  (bool)
  usb_device.linux.device_number = 2  (0x2)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5'  (string)
  usb_device.max_power = 10  (0xa)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.product = 'ScanJet 5590'  (string)
  usb_device.product_id = 5893  (0x1705)  (int)
  usb_device.speed = 480.0 (480) (double)
  usb_device.vendor = 'Hewlett-Packard'  (string)
  usb_device.vendor_id = 1008  (0x3f0)  (int)
  usb_device.version = 2.0 (2) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_3f0_1705_noserial_if0'
  info.bus = 'usb'  (string)
  info.linux.driver = 'usbfs'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_3f0_1705_noserial'  (string)
  info.product = 'USB Vendor Specific Interface'  (string)
  info.subsystem = 'usb'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_3f0_1705_noserial_if0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0'  (string)
  usb.bus_number = 2  (0x2)  (int)
  usb.can_wake_up = false  (bool)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 255  (0xff)  (int)
  usb.device_protocol = 255  (0xff)  (int)
  usb.device_revision_bcd = 773  (0x305)  (int)
  usb.device_subclass = 255  (0xff)  (int)
  usb.interface.class = 255  (0xff)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.protocol = 255  (0xff)  (int)
  usb.interface.subclass = 255  (0xff)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 2  (0x2)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0'  (string)
  usb.max_power = 10  (0xa)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.product = 'USB Vendor Specific Interface'  (string)
  usb.product_id = 5893  (0x1705)  (int)
  usb.speed = 480.0 (480) (double)
  usb.vendor = 'Hewlett-Packard'  (string)
  usb.vendor_id = 1008  (0x3f0)  (int)
  usb.version = 2.0 (2) (double)

The scanner portions of dmseg:

07/20/11 03:35:15 PM	usb 2-5	New USB device found, idVendor=03f0, idProduct=1705
07/20/11 03:35:15 PM	usb 2-5	New USB device strings: Mfr=1, Product=2, SerialNumber=0
07/20/11 03:35:15 PM	usb 2-5	Product: hp scanjet scanner
07/20/11 03:35:15 PM	usb 2-5	Manufacturer: Hewlett-Packard
.....
07/20/11 03:35:22 PM	mtp-probe[722]	checking bus 2, device 2: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-5"
07/20/11 03:35:22 PM	mtp-probe[721]	checking bus 5, device 2: "/sys/devices/pci0000:00/0000:00:1a.2/usb5/5-1"
07/20/11 03:35:22 PM	mtp-probe[723]	checking bus 5, device 3: "/sys/devices/pci0000:00/0000:00:1a.2/usb5/5-2"
....
07/20/11 03:35:23 PM	mtp-probe[721]	bus: 5, device: 2 was not an MTP device
07/20/11 03:35:23 PM	mtp-probe[723]	bus: 5, device: 3 was not an MTP device
07/20/11 03:35:23 PM	mtp-probe[722]	bus: 2, device: 2 was not an MTP device
07/20/11 03:35:23 PM	WARNING! power/level is deprecated; use power/control instead

To eliminate any possibility that mtp-probing might be contributing to the problem, libmtp was removed, the system rebooted, and yet the problem remained.


To repeat, after either unpluggin/re-plugging the scanner, or performing a software usb reset, the interface is freed for use by SANE (and remains that way until shutdown). Before that reset, for example, "scanimage -L" produces the following entry in dmesg:

07/20/11 03:45:59 PM	usb 2-5	usbfs: interface 0 claimed by usbfs while 'scanimage' sets config #1


At this point I don't know if this is some sort of configuration value problem, or a code problem in the usbfs itself. Nor do I know if it is unique to this scanner, or affects other USB scanners as well. I'd appreciate any help in finding a solution to this new problem in F15 since the F14 upgrade.
Comment 1 Bob Schultz 2011-07-24 13:40:41 EDT
More data. Running 'mount -t usbfs none /proc/bus/usb', cat devices shows Driver=usbfs for the scanner on boot-up. Resetting the USB connection with a custom program, and repeating the cat, shows Driver=(none). After resetting, everything works fine. Why is the usbfs driver being attached to a scanner in the first place, and how can it be fixed?

[root@localhost Bob]# mount -t usbfs none /proc/bus/usb
[root@localhost Bob]# cd /proc/bus
[root@localhost bus]# cd usb
[root@localhost usb]# ls
001  002  003  004  005  006  007  008  devices
[root@localhost usb]# cat devices

T:  Bus=08 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=07 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=06 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=05 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc= 26/900 us ( 3%), #Int=  2, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=05 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c03d Rev=20.00
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Optical Mouse
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 98mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms

T:  Bus=05 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=1.5  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c315 Rev=28.00
S:  Manufacturer=Logitech
S:  Product=Logitech USB Keyboard
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480  MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms

T:  Bus=02 Lev=01 Prnt=01 Port=04 Cnt=01 Dev#=  2 Spd=480  MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=03f0 ProdID=1705 Rev= 3.05
S:  Manufacturer=Hewlett-Packard
S:  Product=hp scanjet scanner
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr= 10mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=usbfs
E:  Ad=81(I) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   1 Ivl=16ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480  MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1a.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms
[root@localhost usb]# 
[root@localhost usb]# exit
exit
[Bob@localhost ~]$ reset-hp5590
Opened HP5590 device handle
Returning with code 0
[Bob@localhost ~]$ sudo su
[root@localhost Bob]# cd /proc/bus
[root@localhost bus]# cd usb
[root@localhost usb]# cat devices

T:  Bus=08 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=07 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=06 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=05 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc= 26/900 us ( 3%), #Int=  2, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=05 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=1.5  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c03d Rev=20.00
S:  Manufacturer=Logitech
S:  Product=USB-PS/2 Optical Mouse
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 98mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms

T:  Bus=05 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=1.5  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=c315 Rev=28.00
S:  Manufacturer=Logitech
S:  Product=Logitech USB Keyboard
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12   MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0001 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480  MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms

T:  Bus=02 Lev=01 Prnt=01 Port=04 Cnt=01 Dev#=  2 Spd=480  MxCh= 0
D:  Ver= 2.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs=  1
P:  Vendor=03f0 ProdID=1705 Rev= 3.05
S:  Manufacturer=Hewlett-Packard
S:  Product=hp scanjet scanner
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr= 10mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS= 512 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   1 Ivl=16ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480  MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=1d6b ProdID=0002 Rev= 2.06
S:  Manufacturer=Linux 2.6.38.8-35.fc15.x86_64 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1a.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms
[root@localhost usb]#
Comment 2 Bob Schultz 2011-07-25 16:23:15 EDT
Work-around

I've decided to use a work-around by placing my device-specific reset code in rc.local:

gcc reset-hp5590.c -L/lib/libusb-1.0.so.0 -lusb-1.0 -lm -I /usr/include/libusb-1.0 -o reset-hp5590

/* reset-hp5590: code to reset scanner on usb bus, releasing the usbfs driver attached at boot-up */
	
	#include <stdio.h>
	
	#include <libusb.h>
	


	int main(void)
	{
	        libusb_device_handle *dev;
		
		uint16_t vendor_id;
		uint16_t product_id;
		
	        int r;

/*parameters for hp5590 scanner*/		
		vendor_id = 0x03f0;
		product_id = 0x1705;
		
	
	        r = libusb_init(NULL);
	        if (r < 0)
	                return r;
	
	        dev = libusb_open_device_with_vid_pid(NULL, vendor_id, product_id );
	        if (dev == NULL)
	                return 16;
		printf("Opened HP5590 device handle\n");
		
		r = libusb_reset_device(dev);

		if(r == 0)printf("Successful reset of HP5590 device\n");
		
		libusb_close(dev);


	        libusb_exit(NULL);

		
		printf("Returning with code %d\n",r);
	        return r;
	}
	

I depend extensively on gscan2pdf for "paperless office" functions, and this workaround at least returns the transparent functionality previously obtained in F13&F14. This method might work for others in the event they are encountering similar problems.

It would seem, barring any rules or configuration setting problems that I haven't uncovered, that either:

1) The kernel usb system should be programmed to either not attach usbfs to the scanner in the first place, or if there is some reason for doing so, that the driver be released at the end of the boot-up sequence, or.

2) That the sanei library needs to be modified to release the usbfs driver in the event that the EBUSY condition is encountered.

I'll leave that up to the experts in this area to explain.
Comment 3 Nils Philippsen 2011-09-01 12:49:44 EDT
*** Bug 722255 has been marked as a duplicate of this bug. ***
Comment 4 Nils Philippsen 2011-09-01 12:59:11 EDT
I'd argue that it's a regression over older kernels if the usbfs driver claims this device.
Comment 5 Bob Schultz 2012-01-15 11:49:52 EST
Update-Problem still exists in F16:
[Bob@localhost ~]$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[Bob@localhost ~]$ reset-hp5590
Opened HP5590 device handle
Successful reset of HP5590 device
Returning with code 0
[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.1.9-1.fc16.x86_64 #1 SMP Fri Jan 13 16:37:42 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$
Comment 6 Josh Boyer 2012-02-28 14:46:45 EST
Can you tell me the first kernel that has this problem?  Also, is this still an issue with the 3.2.7 kernel in F16?
Comment 7 Bob Schultz 2012-03-06 09:06:19 EST
The problem was discovered immediately following an upgrade from F14 to F15. The problem still persists in F16, up to latest test versions, as tested independently on both 64 and 32 bit systems. The problem did not exist in F12, F13, F14.

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.2.8-3.fc16.x86_64 #1 SMP Tue Feb 28 21:48:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$
Comment 8 Dave Jones 2012-03-22 12:46:24 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 9 Dave Jones 2012-03-22 12:51:06 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 10 Dave Jones 2012-03-22 13:01:17 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 11 Bob Schultz 2012-03-23 10:04:23 EDT
Just tested--still broken.

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.3.0-4.fc16.x86_64 #1 SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

[Bob@localhost ~]$ reset-hp5590
Opened HP5590 device handle
Successful reset of HP5590 device
Returning with code 0

[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$
Comment 12 Bob Schultz 2012-03-24 15:55:47 EDT
Additional test: I booted the F14 livecd, with the following correct result:

[liveuser@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.35.6-45.fc14.x86_64 #1 SMP Mon Oct 18 23:57:44 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
[liveuser@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[liveuser@localhost ~]$
Comment 13 Bob Schultz 2012-03-25 12:01:02 EDT
Additional test: Booted F15 livecd, with following correct result:

[liveuser@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.38.6-26.rc1.fc15.x86_64 #1 SMP Mon May 9 20:45:15 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[liveuser@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[liveuser@localhost ~]$ 

The bug must then have surfaced somewhere in the early kernel updates to F15, which exact version is still undetermined.
Comment 14 Bob Schultz 2012-04-02 11:24:07 EDT
UPDATE
Ever since the kernel update to 3.3.0-8.fc16.x86_64, the scanner has been recognized correctly!

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.3.0-8.fc16.x86_64 #1 SMP Thu Mar 29 18:37:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$

It's strange that prior kernels are also now functioning properly. For instance, 3.3.0-4.fc16.x86_64 which tested negative per comment 11 above, now tests properly:

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.3.0-4.fc16.x86_64 #1 SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$ 

As does 3.3.0-2.fc16.x86_64:

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.3.0-2.fc16.x86_64 #1 SMP Tue Mar 20 00:15:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$


and even 3.2.9-4.fc16.x86_64:

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.2.9-4.fc16.x86_64 #1 SMP Mon Mar 12 20:20:31 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ scanimage -L
device `hp5590:libusb:002:002' is a HP 5590 Workgroup scanner
[Bob@localhost ~]$

I'm at a loss to explain the sudden correct enumeration of the scanner at bootup, except to mention that the 3.3.0-8 test update did include an update to dracut. Could that have been the source of the original problem?
Comment 15 Josh Boyer 2012-04-03 14:04:12 EDT
What else was updated at the time you updated the kernel?  Your yum log should show you.
Comment 16 Bob Schultz 2012-04-05 15:22:19 EDT
Here are the yum.log entries for the Apr. 01 updates which included the 3.3.0-8.fc16.x86_64 kernel:

Apr 01 10:07:37 Updated: nspr-4.9-2.fc16.x86_64
Apr 01 10:07:37 Updated: nss-util-3.13.3-3.fc16.x86_64
Apr 01 10:07:38 Updated: 1:libreoffice-ure-3.4.5.2-10.fc16.x86_64
Apr 01 10:07:39 Updated: freetype-2.4.6-5.fc16.x86_64
Apr 01 10:07:39 Updated: nspr-devel-4.9-2.fc16.x86_64
Apr 01 10:07:40 Updated: phonon-4.6.0-3.fc16.x86_64
Apr 01 10:07:40 Updated: nss-softokn-freebl-3.13.3-2.1.fc16.x86_64
Apr 01 10:07:41 Updated: expat-2.1.0-1.fc16.x86_64
Apr 01 10:07:42 Installed: polkit-0.103-1.fc16.x86_64
Apr 01 10:07:43 Updated: 1:cups-libs-1.5.2-8.1.fc16.x86_64
Apr 01 10:07:43 Updated: nss-softokn-3.13.3-2.1.fc16.x86_64
Apr 01 10:07:44 Updated: nss-util-devel-3.13.3-3.fc16.x86_64
Apr 01 10:07:45 Updated: mysql-libs-5.5.22-1.fc16.x86_64
Apr 01 10:07:46 Updated: accountsservice-0.6.15-3.fc16.x86_64
Apr 01 10:07:46 Updated: nss-softokn-freebl-devel-3.13.3-2.1.fc16.x86_64
Apr 01 10:07:46 Updated: nss-softokn-devel-3.13.3-2.1.fc16.x86_64
Apr 01 10:07:48 Updated: coreutils-8.12-7.fc16.x86_64
Apr 01 10:07:49 Updated: coreutils-libs-8.12-7.fc16.x86_64
Apr 01 10:07:51 Updated: 7:kdepim-libs-4.8.1-4.fc16.x86_64
Apr 01 10:07:56 Updated: 7:kdepim-4.8.1-4.fc16.x86_64
Apr 01 10:07:56 Updated: nss-3.13.3-2.fc16.x86_64
Apr 01 10:07:57 Updated: nss-sysinit-3.13.3-2.fc16.x86_64
Apr 01 10:07:58 Updated: openldap-2.4.26-7.fc16.x86_64
Apr 01 10:07:59 Updated: 1:NetworkManager-glib-0.9.4-1.git20120328.fc16.x86_64
Apr 01 10:08:01 Updated: 1:NetworkManager-0.9.4-1.git20120328.fc16.x86_64
Apr 01 10:08:01 Updated: 1:NetworkManager-gtk-0.9.4-1.git20120328.fc16.x86_64
Apr 01 10:08:02 Updated: mysql-5.5.22-1.fc16.x86_64
Apr 01 10:08:03 Updated: libquvi-scripts-0.4.4-1.fc16.noarch
Apr 01 10:08:03 Updated: libquvi-0.4.1-1.fc16.x86_64
Apr 01 10:08:04 Updated: 1:autocorr-es-3.4.5.2-10.fc16.noarch
Apr 01 10:08:05 Updated: 1:libreoffice-opensymbol-fonts-3.4.5.2-10.fc16.noarch
Apr 01 10:08:06 Updated: perl-Socket-2.001-1.fc16.x86_64
Apr 01 10:08:06 Updated: 1:autocorr-fr-3.4.5.2-10.fc16.noarch
Apr 01 10:08:06 Updated: sssd-client-1.8.1-9.fc16.x86_64
Apr 01 10:08:07 Updated: libipa_hbac-1.8.1-9.fc16.x86_64
Apr 01 10:08:08 Updated: 1:autocorr-de-3.4.5.2-10.fc16.noarch
Apr 01 10:08:08 Updated: perl-Sane-0.04-1.fc16.x86_64
Apr 01 10:08:08 Updated: 1:autocorr-it-3.4.5.2-10.fc16.noarch
Apr 01 10:08:09 Updated: xorg-x11-server-common-1.11.4-3.fc16.x86_64
Apr 01 10:08:09 Updated: 1:autocorr-en-3.4.5.2-10.fc16.noarch
Apr 01 10:08:22 Updated: 1:libreoffice-core-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:24 Updated: 1:libreoffice-presenter-screen-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:24 Updated: 1:libreoffice-impress-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:25 Updated: 1:libreoffice-graphicfilter-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:25 Updated: 1:libreoffice-pdfimport-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:26 Updated: 1:libreoffice-draw-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:28 Updated: 1:libreoffice-xsltfilter-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:30 Updated: 1:libreoffice-langpack-es-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:32 Updated: 1:libreoffice-langpack-it-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:34 Updated: 1:libreoffice-langpack-fr-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:36 Updated: 1:libreoffice-writer-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:36 Updated: 1:libreoffice-math-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:38 Updated: 1:libreoffice-langpack-de-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:39 Updated: 1:libreoffice-langpack-en-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:40 Updated: 1:libreoffice-calc-3.4.5.2-10.fc16.x86_64
Apr 01 10:08:41 Updated: xorg-x11-server-Xorg-1.11.4-3.fc16.x86_64
Apr 01 10:08:50 Updated: gscan2pdf-1.0.2-1.fc16.noarch
Apr 01 10:08:52 Updated: sssd-1.8.1-9.fc16.x86_64
Apr 01 10:08:52 Updated: libquvi-devel-0.4.1-1.fc16.x86_64
Apr 01 10:08:55 Updated: mysql-server-5.5.22-1.fc16.x86_64
Apr 01 10:08:59 Updated: 1:NetworkManager-gnome-0.9.4-1.git20120328.fc16.x86_64
Apr 01 10:09:00 Updated: openldap-devel-2.4.26-7.fc16.x86_64
Apr 01 10:09:00 Updated: openldap-clients-2.4.26-7.fc16.x86_64
Apr 01 10:09:04 Updated: 1:cups-1.5.2-8.1.fc16.x86_64
Apr 01 10:09:09 Updated: thunderbird-11.0.1-1.fc16.x86_64
Apr 01 10:09:09 Updated: nss-tools-3.13.3-2.fc16.x86_64
Apr 01 10:09:10 Updated: nss-devel-3.13.3-2.fc16.x86_64
Apr 01 10:09:10 Updated: 7:kdepim-devel-4.8.1-4.fc16.x86_64
Apr 01 10:09:11 Updated: mdadm-3.2.3-7.fc16.x86_64
Apr 01 10:09:13 Updated: pitivi-0.15.0-3.fc16.noarch
Apr 01 10:09:13 Updated: accountsservice-libs-0.6.15-3.fc16.x86_64
Apr 01 10:09:14 Updated: 1:cups-devel-1.5.2-8.1.fc16.x86_64
Apr 01 10:09:14 Updated: python-cups-1.9.60-3.fc16.x86_64
Apr 01 10:09:16 Updated: colord-0.1.18-2.fc16.x86_64
Apr 01 10:09:16 Updated: expat-devel-2.1.0-1.fc16.x86_64
Apr 01 10:09:17 Updated: phonon-devel-4.6.0-3.fc16.x86_64
Apr 01 10:09:18 Updated: freetype-devel-2.4.6-5.fc16.x86_64
Apr 01 10:09:19 Updated: gtkpod-2.1.1-1.fc16.x86_64
Apr 01 10:09:21 Updated: dvb-apps-1.1.2-0.1479.37781d27a444.fc16.x86_64
Apr 01 10:09:22 Updated: malaga-suomi-voikko-1.11-1.fc16.x86_64
Apr 01 10:09:22 Updated: 1:cups-libs-1.5.2-8.1.fc16.i686
Apr 01 10:09:23 Updated: libktorrent-1.2.0-2.fc16.x86_64
Apr 01 10:09:24 Updated: 3:ypbind-1.35-1.fc16.x86_64
Apr 01 10:09:24 Updated: perl-Try-Tiny-0.11-4.fc16.noarch
Apr 01 10:09:25 Updated: screen-4.1.0-0.7.20110328git8cf5ef.fc16.x86_64
Apr 01 10:09:25 Updated: libpng10-1.0.59-1.fc16.x86_64
Apr 01 10:09:26 Updated: ibus-hangul-1.4.0-5.fc16.x86_64
Apr 01 10:09:26 Updated: nspr-4.9-2.fc16.i686
Apr 01 10:09:27 Updated: nss-util-3.13.3-3.fc16.i686
Apr 01 10:09:27 Updated: nss-softokn-freebl-3.13.3-2.1.fc16.i686
Apr 01 10:09:28 Updated: nss-softokn-3.13.3-2.1.fc16.i686
Apr 01 10:09:28 Updated: nss-3.13.3-2.fc16.i686
Apr 01 10:09:29 Updated: expat-2.1.0-1.fc16.i686
Apr 01 10:09:29 Installed: polkit-0.103-1.fc16.i686
Apr 01 10:09:30 Updated: openldap-2.4.26-7.fc16.i686
Apr 01 10:09:30 Updated: phonon-4.6.0-3.fc16.i686
Apr 01 10:09:31 Updated: freetype-2.4.6-5.fc16.i686
Apr 01 10:09:51 Erased: polkit-desktop-policy-0.102-3.fc16.noarch
Apr 01 10:57:27 Updated: wine-core-1.5.1-1.fc16.i686
Apr 01 10:57:28 Updated: wine-common-1.5.1-1.fc16.noarch
Apr 01 10:57:28 Updated: wine-systemd-1.5.1-1.fc16.noarch
Apr 01 10:57:28 Updated: wine-desktop-1.5.1-1.fc16.noarch
Apr 01 10:57:29 Updated: wine-small-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:29 Updated: wine-tahoma-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:29 Updated: wine-symbol-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:30 Updated: dracut-013-22.fc16.noarch
Apr 01 10:57:30 Updated: wine-courier-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:31 Updated: wine-ms-sans-serif-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:31 Updated: wine-marlett-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:32 Updated: wine-system-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:32 Updated: wine-fonts-1.5.1-1.fc16.noarch
Apr 01 10:57:43 Installed: kernel-devel-3.3.0-8.fc16.x86_64
Apr 01 10:57:44 Updated: kernel-tools-3.3.0-8.fc16.x86_64
Apr 01 10:57:55 Updated: kernel-doc-3.3.0-8.fc16.noarch
Apr 01 10:57:56 Updated: kernel-headers-3.3.0-8.fc16.x86_64
Apr 01 10:57:57 Updated: flac-1.2.1-8.fc16.x86_64
Apr 01 10:57:58 Updated: wine-openal-1.5.1-1.fc16.i686
Apr 01 10:57:58 Updated: wine-cms-1.5.1-1.fc16.i686
Apr 01 10:57:59 Updated: wine-twain-1.5.1-1.fc16.i686
Apr 01 10:57:59 Updated: wine-ldap-1.5.1-1.fc16.i686
Apr 01 10:57:59 Updated: wine-alsa-1.5.1-1.fc16.i686
Apr 01 10:58:00 Updated: wine-pulseaudio-1.5.1-1.fc16.i686
Apr 01 10:58:00 Updated: wine-wow-1.5.1-1.fc16.i686
Apr 01 10:58:00 Updated: wine-capi-1.5.1-1.fc16.i686
Apr 01 10:58:00 Updated: wine-1.5.1-1.fc16.i686
Apr 01 10:58:01 Updated: flac-1.2.1-8.fc16.i686
Apr 01 10:58:07 Installed: kernel-3.3.0-8.fc16.x86_64
Apr 02 10:12:29 Installed: kernel-3.2.9-4.fc16.x86_64
Apr 02 10:23:53 Erased: kernel-3.2.9-4.fc16.x86_64
Apr 03 10:36:24 Updated: PackageKit-glib-0.6.21-3.fc16.x86_64
Apr 03 10:36:24 Updated: PackageKit-yum-0.6.21-3.fc16.x86_64
Apr 03 10:36:27 Updated: PackageKit-0.6.21-3.fc16.x86_64
Apr 03 10:36:28 Updated: vlgothic-fonts-common-20120325-1.fc16.noarch
Apr 03 10:36:31 Updated: wireshark-1.6.6-1.fc16.x86_64
Apr 03 10:36:32 Updated: wireshark-gnome-1.6.6-1.fc16.x86_64
Apr 03 10:36:34 Updated: vlgothic-fonts-20120325-1.fc16.noarch
Apr 03 10:36:35 Updated: PackageKit-yum-plugin-0.6.21-3.fc16.x86_64
Apr 03 10:36:35 Updated: PackageKit-gstreamer-plugin-0.6.21-3.fc16.x86_64
Apr 03 10:36:36 Updated: PackageKit-device-rebind-0.6.21-3.fc16.x86_64
Apr 03 10:36:37 Updated: PackageKit-gtk3-module-0.6.21-3.fc16.x86_64
Apr 03 10:36:38 Updated: PackageKit-gtk-module-0.6.21-3.fc16.x86_64
Apr 03 10:36:38 Updated: PackageKit-command-not-found-0.6.21-3.fc16.x86_64
Apr 03 10:36:39 Updated: usbredir-0.4.3-1.fc16.x86_64
Apr 03 10:36:40 Updated: akonadi-1.7.2-1.fc16.x86_64
Apr 03 10:36:40 Updated: perl-Module-Runtime-0.013-1.fc16.noarch
Apr 03 10:36:41 Updated: 1:virtuoso-opensource-6.1.5-2.fc16.x86_64
Apr 03 10:36:42 Updated: PackageKit-gtk-module-0.6.21-3.fc16.i686
Apr 04 17:10:44 Updated: gnome-settings-daemon-3.2.3-1.fc16.x86_64
Apr 04 17:10:46 Updated: tzdata-2012c-1.fc16.noarch
Apr 04 17:10:47 Updated: 10:buildsys-build-rpmfusion-16-32.x86_64
Apr 04 17:10:48 Updated: ristretto-0.3.6-1.fc16.x86_64
Apr 04 17:10:49 Updated: libmtp-1.1.3-2.fc16.x86_64
Apr 04 17:10:50 Updated: tzdata-java-2012c-1.fc16.noarch
Apr 04 17:10:51 Updated: perl-DateTime-TimeZone-1.46-1.fc16.noarch
Comment 17 Matthias Bruegge 2012-04-16 08:46:41 EDT
Same problem here 

kernel 3.3.1-5.fc16.i686

hp5590

ibm t43
USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
Comment 18 Matthias Bruegge 2012-04-16 08:53:12 EDT
Even if i change cable an hardware i get busy message, too.

kernel 3.3.1-5.fc16.i686

hp5590

changed usb cable

cardbus card:
USB Controller: NEC Corporation USB (rev 43)
USB Controller: NEC Corporation USB 2.0 (rev 04)

Using Windows Xp professional SP3 everything works fine. mpf ;-(
Comment 19 Dave Jones 2012-10-23 11:34:06 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 20 Bob Schultz 2012-10-24 16:10:01 EDT
I updated to F17 when first released. The bug has NEVER occurred in F17, but I can't recall if any F16 updates in the April/May 2012 period fixed the problem before the F17 upgrade. That is a possibility, but I honestly can't remember. I'm currently running:

[Bob@localhost ~]$ uname -a
Linux localhost.localdomain 3.6.3-1.fc17.x86_64 #1 SMP Mon Oct 22 15:32:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[Bob@localhost ~]$ 

Since May 2012, I have been using the scanner extensively every week with no problems.
Comment 21 Fedora End Of Life 2013-01-16 17:54:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Fedora End Of Life 2013-02-13 20:25:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.